// Utilisation des flots d'entree-sortie C++
#include <iostream>
// Utilisation de la classe Image<T>
#include "ntoolsinit.h"
#include "cimage.h"
// Utilisation des generateurs aleatoires
#include "nbrandom.h"
#include "fitsioserver.h" 
#include "skymapinit.h"


int main()
{

  // ----- ATTENTION -------
  // Initialisation de Sophya
  // A faire au debut de main()
  SophyaInit();

  ImageR4  img(20, 10);
  r_4 compt=0;
  for(int i=0; i<20; i++)
    {
      for(int j=0; j<10; j++)
	{
	  compt+=1.;
	  img(i,j) =compt+0.6;
    }
    }
  img.CheckDyn();
  img.Print();
  img.PrintImage();
  FitsIoServer fserv;
  fserv.save(img,"image.fits");
  ImageI4  img2(20, 10);
  fserv.load(img2,"image.fits");
  img2.Print();
  img2.PrintImage();
 
}
